Bug 964347 - Cartridge operations should run inside the cartridge directory
Cartridge operations should run inside the cartridge directory
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 21:03 EDT by Dan McPherson
Modified: 2015-05-14 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:06:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2013-05-17 21:03:22 EDT
Description of problem:
It would be more natural to call the cart functions rooted at the cart for at least a couple of reasons.

1) Today with V2 carts there is a discrepancy between the directory setup/install/control/post-install/teardown are called from within and the locked_files.

2) As a cart writer, most operations you work within your cart dir.  Creating directories, etc.  Style wise you could simply make cleaner looking scripts.
Comment 1 openshift-github-bot 2013-05-23 17:39:50 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/cecaa7daa03c6439de9cfb5e8dcbc93e62aead18
Bug 964347 - Run cartridge scripts from cartridge home directory

* Refactored platform code to run cartridge scripts from cartridge home directory
* Added missing step in mongodb cucumber tests
Comment 2 Meng Bo 2013-05-24 07:51:14 EDT
Add following string to the bottom of bin/* scripts.

##########
echo TEST_STRING
pwd
##########

Tail the platform-trace.log during create app and embed cartridge.

May 24 07:38:04 DEBUG oo_spawn buffer(10/) TEST_STRING

May 24 07:38:04 DEBUG oo_spawn buffer(10/) /var/lib/openshift/55f99566c46611e2bd2922000a98aab5/php

May 24 07:47:24 DEBUG oo_spawn buffer(10/) TEST_STRING

May 24 07:47:24 DEBUG oo_spawn buffer(10/) /var/lib/openshift/55f99566c46611e2bd2922000a98aab5/mysql


Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.